Bug 1586357 - Disable new devices in 2.12
Summary: Disable new devices in 2.12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-06 05:23 UTC by Miroslav Rezanina
Modified: 2018-11-01 11:12 UTC (History)
5 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-9.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-01 11:10:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3443 None None None 2018-11-01 11:12:36 UTC

Description Miroslav Rezanina 2018-06-06 05:23:39 UTC
With rebase to 2.12, several new devices were introduced to qemu-kvm-rhev package. Our approach is to disable these devices unless there's request for them.

New devices:

- max-arm-cpu (aarch64)
- ARM,bitband-memory (aarch64)
- armv7m (aarch64)
- virtio-keyboard-ccw (s390x)
- virtio-mouse-ccw (s390x)
- virtio-tablet-ccw (s390x)
- virtio-gpu-device (s390x)
- virtio-gpu-ccw (s390x)
- kvaser_pci (x86_64)
- mioe3680_pci (x86_64)
- pcm3680_pci (x86_64)
- fdc37m81x-superio (x86_64)
- smc37c669-superio (x86_64)
- pcie-pci-bridge (aarch64, x86_64)
- at24c-eeprom (aarch64, ppc64, x86_64)
- pvrdma (aarch64, ppc64)
- split-irq (all archs)

Comment 2 Miroslav Rezanina 2018-06-06 05:49:24 UTC
BZ 1566164 requests some ccw devices to be enabled. 

BZ 1586360 requests max-arm-cpu to be enabled.

List of devices to disable:

- max-arm-cpu (aarch64)
- ARM,bitband-memory (aarch64)
- armv7m (aarch64)
- virtio-tablet-ccw (s390x)
- kvaser_pci (x86_64)
- mioe3680_pci (x86_64)
- pcm3680_pci (x86_64)
- fdc37m81x-superio (x86_64)
- smc37c669-superio (x86_64)
- pcie-pci-bridge (aarch64, x86_64)
- at24c-eeprom (aarch64, ppc64, x86_64)
- pvrdma (aarch64, ppc64)
- split-irq (all archs)

Comment 4 Miroslav Rezanina 2018-08-01 17:09:26 UTC
Fix included in qemu-kvm-rhev-2.12.0-9.el7

Comment 7 errata-xmlrpc 2018-11-01 11:10:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3443


Note You need to log in before you can comment on or make changes to this bug.